import os
import platform

PLUGIN_DIR = os.path.join(os.path.dirname(os.path.realpath(__file__)), '..')
QGIS_DIR = os.path.abspath(os.path.join(PLUGIN_DIR, 'qgis'))

# office splash screen
INI_OFFICE_FILE = os.path.join(QGIS_DIR, 'office', 'office.ini')
SPLASH_OFFICE_DIR = os.path.join(QGIS_DIR, 'office', '').replace(os.sep,'/')

lines = []
with open(INI_OFFICE_FILE) as f:
    for line in f:
        tag = '{{ SPLASH_DIR }}'
        if tag in line:
            line = line.replace(tag, SPLASH_OFFICE_DIR)
        lines.append(line)

with open(INI_OFFICE_FILE, 'w') as f:
    for line in lines:
        f.write(line)

# mobile splash screen
INI_MOBILE_FILE = os.path.join(QGIS_DIR, 'mobile', 'mobile.ini')
SPLASH_MOBILE_DIR = os.path.join(QGIS_DIR, 'mobile', '').replace(os.sep,'/')

lines = []
with open(INI_MOBILE_FILE) as f:
    for line in f:
        tag = '{{ SPLASH_DIR }}'
        if tag in line:
            line = line.replace(tag, SPLASH_MOBILE_DIR)
        lines.append(line)

with open(INI_MOBILE_FILE, 'w') as f:
    for line in lines:
        f.write(line)

if platform.system() == 'Windows':
    import win32com.client
    #Windows shortcurt
    def createShortcut(path, exe, ico):
        shell = win32com.client.Dispatch("WScript.Shell")
        shortcut = shell.CreateShortCut(path)
        shortcut.Targetpath = exe
        shortcut.IconLocation = ico
        shortcut.save()

    #office
    path= os.path.join(os.environ['HOMEPATH'],'Desktop','CtrlCraftOffice.lnk')
    ico= os.path.join(QGIS_DIR, 'office', 'CtrlCraftOffice.ico')
    exe= os.path.join(os.path.dirname(os.path.realpath(__file__)),'qgis-office.bat')
    createShortcut(path, exe, ico)

    #office advanced
    path= os.path.join(os.environ['HOMEPATH'],'Desktop','CtrlCraftOffice_adm.lnk')
    ico= os.path.join(QGIS_DIR, 'office', 'CtrlCraftOffice_adm.ico')
    exe= os.path.join(os.path.dirname(os.path.realpath(__file__)),'qgis-office-advanced.bat')
    createShortcut(path, exe, ico)

    #office
    path= os.path.join(os.environ['HOMEPATH'],'Desktop','CtrlCraftMobile.lnk')
    ico= os.path.join(QGIS_DIR, 'mobile', 'CtrlCraftMobile.ico')
    exe= os.path.join(os.path.dirname(os.path.realpath(__file__)),'qgis-mobile.bat')
    createShortcut(path, exe, ico)

    #office advanced
    path= os.path.join(os.environ['HOMEPATH'],'Desktop','CtrlCraftMobile_adm.lnk')
    ico= os.path.join(QGIS_DIR, 'mobile', 'CtrlCraftMobile_adm.ico')
    exe= os.path.join(os.path.dirname(os.path.realpath(__file__)),'qgis-mobile-advanced.bat')
    createShortcut(path, exe, ico)